<?php
/**
 * Yahoo!ニューストピックス (ブログパーツ)
 */
require_once 'Platy/Widget.php';

class Platy_Widget_YahooNewsTopics extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }
    
    public function getSummary()
    {
        return 'Yahoo!ニューストピックス';
    }
    
    public function view()
    {
        $a = array('title' => '', 'icons' => '', 'main' => '', 'footer' => '');
        
        $a['main'] = '<script>var CFLwidth = "150";var CFLheight = "208";var CFLswfuri = "http://i.yimg.jp/i/topics/blogparts/topics_s.swf?genre=top&wakuFontColor=FFFFFF&wakuBGColor=9B72CF&bodyFontColor=0000FF&bodyBGColor=F1F1FD";</script><script type="text/javascript" charset="euc-jp" src="http://public.news.yahoo.co.jp/blogparts/js/topics.js"></script>';
        return $a;
    }
}
?>